﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="commonfile.xsl"/>
<xsl:template match="/">
<html>
<head>
<title>Local Query Result</title>
<link href="css/new.css" rel="stylesheet" type="text/css"/>
<script language="javascript" src="js/default.js"></script>
</head>
<body>  	      
<!-- 传统结果显示  如果存在则显示 -->
	<xsl:if test="yodaodict/custom-translation">
	<div id="yodao_anchor_basic" style="display:none"/>
	<xsl:for-each select="yodaodict/custom-translation">
	<xsl:if test="type[text()!='ee']" >
		<!--xsl:if test="position() = 1" -->
		<!-- 第一个层是英汉或汉英结果显示层 -->
		<div id="eng-chn" style="display:block">
		<xsl:call-template name="basic_tab">
			<xsl:with-param name="tab_type" select="type"/>
			<xsl:with-param name="tab_num" select="count(/yodaodict/custom-translation)"/>
		</xsl:call-template>
	
		<!-- 显示英译中结果 -->
		<div id="classic">
			<!-- 输出关键词、音标、发音小喇叭 -->
			<xsl:call-template name="keyword_line">
				<xsl:with-param name="keyword" select="/yodaodict/return-phrase"/>
				<xsl:with-param name="phone" select="/yodaodict/phonetic-symbol"/>
				<xsl:with-param name="speech" select="/yodaodict/dictcn-speach"/>
			</xsl:call-template>
			
			<!--div style="overflow:hidden;height:4px;"></div-->
						
			<!-- 循环输出解释项 -->
			<xsl:for-each select="translation">
				<div class="meaning">
					<xsl:if test="../type[text()='ce']" >
					<xsl:element name="a">
  	 				<xsl:attribute name="href">app:ds:<xsl:value-of select="content" /></xsl:attribute>
	   				<xsl:attribute name="target">_self</xsl:attribute>
						<xsl:value-of select="content" />
    			</xsl:element>
					</xsl:if>
					<xsl:if test="../type[text()='ec']" >
						<xsl:value-of select="content" />
					</xsl:if>
				</div>
			</xsl:for-each>
			<!-- 显示数据来源的声明 -->
			<xsl:if test="source">
				<xsl:apply-templates select="source">
				<xsl:with-param name="dict_type"><xsl:value-of select="type"/></xsl:with-param>
				</xsl:apply-templates>
		   	    <br />
			</xsl:if>

			<div class="showall">
				<xsl:element name="a">
				<xsl:attribute name="href">app:dsdetail:<xsl:value-of select="/yodaodict/return-phrase" /></xsl:attribute>
				<xsl:attribute name="class">bluebigtt13</xsl:attribute>
				<xsl:attribute name="target">_self</xsl:attribute>查看完整结果>></xsl:element>
			</div>
		</div>		
	</div>		<!-- 第一个层结束 -->
	</xsl:if>
	<!--br/-->	
	</xsl:for-each>		<!-- 第一个层结束 -->
	</xsl:if>
	
	<!-- 网络释义开始 -->
	<xsl:if test="not(yodaodict/custom-translation)">
	<xsl:if test="yodaodict/yodao-web-dict/web-translation">
	<!-- tab -->
	<div id="tabbar">
		<div class="barimg">
			<img src="images/titlesymbol.gif" />
		</div>
		<div class="left">
			<B>网络释义</B>
		</div>		
	</div>		
	<div id="web">
	<xsl:for-each select="yodaodict/yodao-web-dict/web-translation">
			<!-- 特殊处理第一个结果结束 -->
		<!-- 处理剩下的结果 (折叠模式的隐藏状态)-->
		<xsl:if test="position() &gt; 0" >
	    <xsl:element name="div">
		 		<xsl:attribute name="id">resultDiv<xsl:number value="position()"/></xsl:attribute>
				<xsl:attribute name="style">display:block</xsl:attribute>
									
		    	<!--webDictEMTitle start-->
		    	<li>
			    <div class="word">
						<xsl:value-of select="key"/>
						<b> : </b>
						<!--折叠模式中, 输出所有的value, 并以 ‘|’ 隔开 -->
						<span class="brief">
						<xsl:for-each select="trans">
								<xsl:value-of select="value"/>
								<xsl:if test="not(position() = count(../trans))"> | </xsl:if>
							</xsl:for-each>
				    </span>
				  </div>
				  </li>
		  	</xsl:element>
		</xsl:if>
	</xsl:for-each>
	
	<!-- 显示数据来源的声明 -->

	<div class="showall">			
		<xsl:element name="a">
		<xsl:attribute name="href">app:dsdetail:<xsl:value-of select="/yodaodict/return-phrase" /></xsl:attribute>
		<xsl:attribute name="class">bluebigtt13</xsl:attribute>
		<xsl:attribute name="target">_self</xsl:attribute>查看完整结果>></xsl:element>
	</div>
	</div>
  <!-- 显示/隐藏相关词组按钮 -->
  	</xsl:if>
	</xsl:if>     <!-- 网络释义的结束 -->
	
	<!-- 如果没有上面的数据，那么显示本地词典的结果，否则，不显示-->
	<xsl:if test="not(yodaodict/custom-translation)">
	<xsl:if test="not(yodaodict/yodao-web-dict/web-translation)">
	<xsl:if test="yodaodict/local-dicts/dict/word[text() != '']">
	  <!-- show tab -->
		<div id="yodao_anchor_custom"/>
		
		<xsl:for-each select="yodaodict/local-dicts/dict">
		  <!-- disable none result display-->
		  <xsl:if test="word[text()!='']">			
				<!-- return word and phonetic-symbol -->
				<!--循环显示每部字典的内容-->			
				<div id="tabbar">
					<div class="barimg">
						<img src="images/titlesymbol.gif" />
					</div>
					<div class="left">
						<xsl:value-of select="name" disable-output-escaping="yes"/>
					</div>
				</div>
				<div id="localdict">
					<div>
						<div class="keyword">
							<xsl:value-of select="word" disable-output-escaping="yes"/>					
						<xsl:if test="PhoneticSymbol[text() != '']">
							<span class= "pronounce">
								[ <xsl:value-of select="PhoneticSymbol" disable-output-escaping="yes"/> ]
							</span> 
						</xsl:if>
						</div>
					</div>			
					<!-- display the awful explain :( -->
					<xsl:for-each select="explains/explain">
					   <div class="attr"><xsl:if test="attr"><xsl:value-of select="attr" /></xsl:if>
					    <span class="meaning"><xsl:value-of select="sub_explain/meaning" disable-output-escaping="yes" /></span>
					   </div>
					   <xsl:for-each select="sub_explain[position()= '1']">
							 <xsl:for-each select="sentences/pair">
							    <div class="sentence1"><xsl:value-of select="position()" />.<xsl:value-of select="first" /></div>
							    <div class="sentence2"><xsl:value-of select="second" /></div>
						   </xsl:for-each>
						 </xsl:for-each>
						 <xsl:for-each select="sub_explain[position() != '1']">
						   <div class="meaning"><xsl:value-of select="meaning" /></div>
							 <xsl:for-each select="sentences/pair">
									<div class="sentence1"><xsl:value-of select="position()" />.<xsl:value-of select="first" /></div>
							    <div class="sentence2"><xsl:value-of select="second" /></div>
						   </xsl:for-each>
						 </xsl:for-each>
					</xsl:for-each>
					<!-- display trans form of the word-->
					<xsl:if test="transforms">
					  <xsl:for-each select="transforms/transform">
							<div class="transform"><span>
								 <xsl:value-of select="type" disable-output-escaping="yes" />:
								 <xsl:value-of select="word" disable-output-escaping="yes" />;	
								</span>
							</div>
						</xsl:for-each>			
					</xsl:if>
					<!--display raw date,maybe should be hid -->
					<div class="raw"><xsl:value-of select="raw" disable-output-escaping="yes"/></div>
					</div>
				</xsl:if>
			</xsl:for-each>		
	</xsl:if>
	</xsl:if>
	</xsl:if>

	
	
	<!-- 没有结果的情况  -->
	<xsl:if test="not(yodaodict/custom-translation)">
		<xsl:if test="not(yodaodict/yodao-web-dict/web-translation)">
		<xsl:if test="not(yodaodict/local-dicts/dict/word[text() != ''])">
		<div id="error">
			抱歉，没有找到与您查询的"<b>
					  <xsl:call-template   name="SubStringFun">   
						<xsl:with-param   name="input"   select="/yodaodict/input"   />   
						<xsl:with-param   name="from"   select="'bk:'" />   
						<xsl:with-param   name="to"   select="''"  />
					  </xsl:call-template>
			</b>"相符的字词。
			建议：
			<li>请查看输入的字词是否有错误</li>
			<li>请在网页搜索中搜索“
				<xsl:element name="a">
					<xsl:attribute name="href">http://www.yodao.com/search?keyfrom=deskdict.noresult&amp;q=<xsl:value-of select="yodaodict/original-query" /></xsl:attribute>
					<xsl:attribute name="target">_blank</xsl:attribute>
					  <xsl:call-template   name="SubStringFun">   
						<xsl:with-param   name="input"   select="/yodaodict/original-query"   />   
						<xsl:with-param   name="from"   select="'bk:'" />   
						<xsl:with-param   name="to"   select="''"  />
					  </xsl:call-template>
				</xsl:element>”
			</li>
			<li>请阅读<a href="http://dict.yodao.com/desktop/help2.html" target="_blank">帮助</a></li>			
		</div>	
		</xsl:if>
		</xsl:if>
	</xsl:if>
   <OBJECT ID="flspins" WIDTH="0" HEIGHT="0" CLASSID="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" ></OBJECT>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
