﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:include href="commonfile.xsl"/>

<xsl:template match="/">

<html>
<head>
<title>Local Query Result</title>

<!--link href="css/default.css" rel="stylesheet" type="text/css"/-->
<link href="css/new.css" rel="stylesheet" type="text/css"/>
<script language="javascript" src="js/default.js"></script>
</head>

<body>
<!-- 传统结果显示  如果存在则显示 -->
	<xsl:if test="/yodaodict/basic">
	<div id="yodao_anchor_basic" style="display:none"/>

	<xsl:for-each select="/yodaodict/basic">
	<xsl:if test="type[text()!='ee']" >
		<!--xsl:if test="position() = 1" -->
		<!-- 第一个层是英汉或汉英结果显示层 -->
		<div id="eng-chn" style="display:block">
			<!-- 显示tab -->
			<xsl:call-template name="basic_tab">
				<xsl:with-param name="tab_type" select="type"/>
				<xsl:with-param name="tab_num" select="count(/yodaodict/basic)"/>
			</xsl:call-template>
	
			<!-- 输出简明词典 -->
			<xsl:apply-templates select="simple-dict"/>
		
			<xsl:if test="simple-dict">
				<xsl:if test="authoritative-dict">
					<xsl:element name="span">
						<xsl:attribute name="id">showAuthoritativeDict</xsl:attribute>
						<font class="dot"> . </font>
						<xsl:element name="img">
							<xsl:attribute name="src">images/zhedie.gif</xsl:attribute>
							<xsl:attribute name="onclick">
								expandAllBasicResult("<xsl:call-template name="standard_return_phrase" />", 'click_unfold')
							</xsl:attribute>
						</xsl:element>
						<xsl:element name="a">
		  	 				<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
			   				<xsl:attribute name="title">点击查看更详尽的翻译结果</xsl:attribute>
							<xsl:attribute name="onclick">
								expandAllBasicResult("<xsl:call-template name="standard_return_phrase" />", 'click_unfold')
							</xsl:attribute>
							 展开<xsl:value-of select="authoritative-dict/source/name"/>
							<br />
		    			</xsl:element>
					</xsl:element>
					<xsl:element name="span">
						<xsl:attribute name="id">hideAuthoritativeDict</xsl:attribute>
						<xsl:attribute name="style">display:none</xsl:attribute>
						<font class="dot"> . </font>
						<xsl:element name="img">
							<xsl:attribute name="src">images/zhankai.gif</xsl:attribute>
							<xsl:attribute name="onclick">
								expandAllBasicResult("<xsl:call-template name="standard_return_phrase" />", 'click_unfold')
							</xsl:attribute>
						</xsl:element>
						<xsl:element name="a">
		  	 				<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
		   					<xsl:attribute name="class">blue12other</xsl:attribute>
							<xsl:attribute name="onclick">
								expandAllBasicResult("<xsl:call-template name="standard_return_phrase" />", 'click_fold')
							</xsl:attribute>
							 折叠<xsl:value-of select="authoritative-dict/source/name"/>
		    			</xsl:element>
					</xsl:element>
					<br />

				<div id="AuthoritativeDict" style="display:none">
					<!-- 输出权威词典 -->
					<xsl:apply-templates select="authoritative-dict"/>
				</div>
				</xsl:if>
			</xsl:if>
			
			<xsl:if test="not(simple-dict)">
				<xsl:if test="authoritative-dict">
					<div style="display:block">
					<!-- 如果简明翻译没有结果，则直接输出输出权威词典 -->
					<xsl:apply-templates select="authoritative-dict"/>
				</div>

				</xsl:if>
			</xsl:if>
	
	</div><!-- 第一个层结束 -->
	</xsl:if>
	
	<!-- 第二个层用来显示英英结果 --> 
	<xsl:if test="type[text() = 'ee']" >
	<div id="eng-eng" style="display:none">
		<!-- 显示Tab标签 -->
		<xsl:call-template name="basic_tab">
			<xsl:with-param name="tab_type" select="type"/>
			<xsl:with-param name="tab_num" select="count(/yodaodict/basic)"/>
		</xsl:call-template>

		<!--div id="classic"-->
			<!-- 输出简明词典 -->
			<xsl:apply-templates select="authoritative-dict"/>
		<!--/div-->
	</div>
	</xsl:if>
	</xsl:for-each>
	</xsl:if>

	<xsl:if test="not(/yodaodict/basic)">
		<!--typo start-->
		<xsl:if test="yodaodict/typos">
		<div id="error">			
			您要找的是不是:
			<xsl:for-each select="yodaodict/typos/typo">
				<xsl:element name="a">
   				<xsl:attribute name="href">app:ds:<xsl:value-of select="." /></xsl:attribute>
   				<xsl:attribute name="target">_self</xsl:attribute>
					<xsl:value-of select="." />
   			</xsl:element>
			<font class="dot"> . </font>
	   		</xsl:for-each>
		</div>
		</xsl:if>
	</xsl:if>
		<!--typo end-->
	
	<!-- 网络释义开始 -->
	<xsl:if test="yodaodict/yodao-web-dict/web-translation">
	<!-- tab -->
		<div id="yodao_anchor_phrase"/>
		<div id="tabbar">
		 <div class="barimg">
			<img src="images/titlesymbol.gif" />
		</div>
		<div class="left">
			<B>网络释义</B>
		</div>
		<div class="right">
			<div id="webShowAll" style="display:none">
				<xsl:element name="a">
					<xsl:attribute name="title">展开以下所有词条的网页相关内容</xsl:attribute>
					<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
					<xsl:attribute name="onclick">javascript:displayAllDetail('<xsl:value-of select="count(yodaodict/yodao-web-dict/web-translation)"/>')</xsl:attribute>
					展开
				</xsl:element>
			</div>
			<div id="webHideAll">
				<xsl:element name="a">
				  <xsl:attribute name="title">隐藏所有词条的网页相关内容</xsl:attribute>								
					<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
					<xsl:attribute name="onclick">javascript:hideAllDetail('<xsl:value-of select="count(yodaodict/yodao-web-dict/web-translation)"/>')</xsl:attribute>
					折叠
				</xsl:element>
			</div>
		</div>			
	</div>		
	<div id="web">
	<xsl:for-each select="yodaodict/yodao-web-dict/web-translation">
		<xsl:if test="position() &lt;= 1" >
		<!-- 特殊处理默认状态，默认状态只是显示前几个释义，并且相关词组处于关闭状态 -->
			<xsl:element name="div">
				<xsl:attribute name="id">resultDiv<xsl:number value="position()"/></xsl:attribute>
				<xsl:attribute name="style">display:block</xsl:attribute>
		
		    	 <!--webDictEMTitle start-->
				<div class="word">
					<xsl:element name="a">
						<xsl:attribute name="onclick">javascript:generateOneResult('<xsl:number value="position()"/>', false)</xsl:attribute>
						<xsl:attribute name="class">bluebigtt</xsl:attribute>
						<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
						<xsl:value-of select="key"/>
					</xsl:element>
					<font class="dot">..</font>
				</div>
				<xsl:if test="count(trans) = 1">
					<div class="brief">
						<xsl:value-of select="trans/value"/>
					</div>
				</xsl:if>
						
				<!--webDictEMTitle end-->
		
				<!--webDictDetail start-->
					<!-- 循环输出 trans -->
					<xsl:for-each select="trans">
					<div class="brief">
							<xsl:if test="count(../trans) &gt; 1">
								<xsl:number value="position()"/>.
							</xsl:if>						
							<xsl:if test="count(../trans) &gt; 1">
								<xsl:value-of select="value"/>
							</xsl:if>
					</div>
					<div class="snap">
						<xsl:for-each select="summary/line">
							<xsl:if test="text() != ''">
								<xsl:value-of select="." disable-output-escaping="yes"/>
								<xsl:if test="position() != last()"><br /></xsl:if>
							</xsl:if>
						</xsl:for-each>
					</div>
						<xsl:if test="string-length(url) &gt; 5">
							<div class="from">
				 				<xsl:element name="a">
									<xsl:attribute name="href"><xsl:value-of select="url"/></xsl:attribute>
									<xsl:attribute name="title">查看原始网页</xsl:attribute>
									<xsl:attribute name="target">_blank</xsl:attribute>
									<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", '1.'+'<xsl:number value="position()"/>', 1, 1, 'CLICK', 'phrase_deskdict')</xsl:attribute>
									<xsl:value-of select="substring-before(substring-after(url, 'http://'), '/')"/>
								</xsl:element>-
								<span class="search">
									基于<xsl:value-of select="support"/>个网页
								</span>								
							</div>
							</xsl:if>
					</xsl:for-each>				
				<!--webDictDetail end-->		
			</xsl:element>
		<!-- 特殊处理第一个结果结束 -->
		</xsl:if>


		<!-- 处理剩下的结果 (折叠模式的隐藏状态)-->
		<xsl:if test="position() &gt; 1" >
		    <xsl:element name="div">
		 		<xsl:attribute name="id">resultDiv<xsl:number value="position()"/></xsl:attribute>
				<xsl:attribute name="style">display:none</xsl:attribute>									
		    	<!--webDictEMTitle start-->
			    <div class="word">
			    	<xsl:element name="a">
							<xsl:attribute name="onclick">javascript:generateOneResult('<xsl:number value="position()"/>', true)</xsl:attribute>
							<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
							<xsl:value-of select="key"/>
							<font class="dot">..</font>
						</xsl:element>
						<!--折叠模式中, 输出所有的value, 并以 ‘|’ 隔开 -->
						<span class="brief">
						<xsl:for-each select="trans">
								<xsl:value-of select="value"/>
								<xsl:if test="not(position() = count(../trans))"> | </xsl:if>
							</xsl:for-each>
				    </span>
				  </div>
		  	</xsl:element>
		</xsl:if>

	<!--  处理所有结果的展开/折叠状态, 实现内容展开/折叠效果 -->
	  <!--webDictWMTitle start--> 					
		<xsl:element name="div">
			<xsl:attribute name="id">resWrapModeTit<xsl:number value="position()"/></xsl:attribute>
			<xsl:attribute name="style">display:none</xsl:attribute>
		    <div class="word">
					<xsl:element name="a">
		 		    <xsl:attribute name="onclick">javascript:generateOneResult('<xsl:number value="position()"/>', true)</xsl:attribute>
						<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
						<b><xsl:value-of select="key"/></b>
					</xsl:element>		
					<font class="dot">..</font>		
				<span class="brief">
					<!--折叠模式中, 输出所有的value, 并以 ‘|’ 隔开 -->
					<xsl:for-each select="trans">
						<xsl:value-of select="value"/>
						<xsl:if test="not(position() = count(../trans))"> | </xsl:if>
					</xsl:for-each>
				</span>
				</div>
		</xsl:element>
		<!--webDictWMTitle end-->
		
		<!--webDictEMTitle start-->
		<xsl:element name="div"> 
			<xsl:attribute name="id">resExpModeTit<xsl:number value="position()"/></xsl:attribute>
			<xsl:attribute name="style">display:none</xsl:attribute>
	    <div class="word">
				<xsl:element name="a">
		 		  <xsl:attribute name="onclick">javascript:generateOneResult('<xsl:number value="position()"/>', false)</xsl:attribute>
				  <xsl:attribute name="class">bluebigtt</xsl:attribute>
					<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
					<b><xsl:value-of select="key"/></b>
				</xsl:element>				
			</div>
			<!--展开模式中, 如果只有一个value, 则在这里输出;多个的话则不在这里输出,在下面分别列出 -->
			<xsl:if test="count(trans) = 1">
				<div class="brief">
					<xsl:value-of select="trans/value"/>
				</div>
			</xsl:if>						
		</xsl:element>
		<!--webDictEMTitle end-->

		<!--webDictDetail start-->
		<xsl:element name="div"> 
			<xsl:attribute name="id">resDetail<xsl:number value="position()"/></xsl:attribute>
			<xsl:attribute name="style">display:none</xsl:attribute>
				<!-- 循环输出 trans -->
				<xsl:for-each select="trans">
					<div class="brief">
						<xsl:if test="count(../trans) &gt; 1">
							<xsl:number value="position()"/>.
						</xsl:if>
						<xsl:if test="count(../trans) &gt; 1">
							<xsl:value-of select="value"/>
						</xsl:if>
					</div>
					<div class="snap">
					<xsl:for-each select="summary/line">
						<xsl:if test="text() != ''">
							<xsl:value-of select="." disable-output-escaping="yes"/><br />
						</xsl:if>
					</xsl:for-each>
					</div>
					<div class="from">					
						<xsl:if test="string-length(url) &gt; 5">
				 			<xsl:element name="a">
								<xsl:attribute name="href"><xsl:value-of select="url"/></xsl:attribute>
								<xsl:attribute name="target">_blank</xsl:attribute>
								<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", '2.'+'<xsl:number value="position()"/>', 1, 1, 'CLICK', 'phrase_deskdict')</xsl:attribute>
								<xsl:value-of select="substring-before(substring-after(url, 'http://'), '/')"/>
							</xsl:element>-
							<span class="search">
								基于<xsl:value-of select="support"/>个网页
							</span>	
						</xsl:if>		
					</div>
				</xsl:for-each>			
		</xsl:element>
		<!--webDictDetail end-->

		</xsl:for-each>

  
  <!-- 显示/隐藏相关词组按钮 -->
	<xsl:if test="count(yodaodict/yodao-web-dict/web-translation) &gt; 1" >	
		<div id="allWebFlag" class="relative">
    	<div id = "showmoreWebMined">
				<!--IMG SRC="images/dictrstarbu.gif" WIDTH="4" HEIGHT="8" BORDER="0" ALT="显示所有的相关词组" align="absmiddle"/-->
				<xsl:element name="a">
				 	<xsl:attribute name="title">显示所有的相关词组</xsl:attribute>
				 	<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
				 	<xsl:attribute name="onclick">javascript:showMoreWebMined('<xsl:value-of select="count(yodaodict/yodao-web-dict/web-translation)"/>')</xsl:attribute>
				 	相关词组
				</xsl:element>
			</div>
			<div id="hidemoreWebMined" style="display:none">
				<!--IMG SRC="images/dicttstarbu.gif" WIDTH="8" HEIGHT="4" BORDER="0" ALT="隐藏相关词组" align="absmiddle"/-->
				<xsl:element name="a">
				 	<xsl:attribute name="title">隐藏所有的相关词组</xsl:attribute>
				 	<xsl:attribute name="href">javascript:void(0)</xsl:attribute>
				 	<xsl:attribute name="onclick">javascript:hideMoreWebMined('<xsl:value-of select="count(yodaodict/yodao-web-dict/web-translation)"/>')</xsl:attribute>
				 	隐藏相关词组
				</xsl:element>
			</div>
		</div>
	</xsl:if>
	</div>
</xsl:if>
  <!-- 网络释义的结束 -->
	
	<!-- 例句开始 -->
	<xsl:if test="yodaodict/example-sentences/sentence-pair">
		<div id="yodao_anchor_sentence"/>
		<div id="tabbar">
			<div class="barimg">
				<img src="images/titlesymbol.gif" />
			</div>
			<div class="left">
				例句与用法
			</div>					
			<div class="linktotrans">
				<xsl:if test="contains(yodaodict/input, 'lj:')">
					<xsl:element name="a">
						<xsl:attribute name="href">app:ds:<xsl:value-of select="/yodaodict/return-phrase" /></xsl:attribute>
						<xsl:attribute name="target">_self</xsl:attribute>返回基本词义
					</xsl:element>
				</xsl:if>

			</div>
		</div>
		<div id="sents">
		<xsl:if test="yodaodict/subpair">
			<!--例句前面的解释-->
			<div class="word">
				<xsl:element name="a">
					<xsl:attribute name="href">app:lj:<xsl:value-of select="/yodaodict/displayWord" /></xsl:attribute>
					<xsl:attribute name="target">_self</xsl:attribute>
					<xsl:value-of select="/yodaodict/displayWord" />:
				</xsl:element>
			</div>
			<div class="explain">
				<xsl:for-each select="yodaodict/subpair"> 
					[<xsl:element name="a">
						<xsl:attribute name="href">app:ds:<xsl:value-of select="subqueryword" /></xsl:attribute>
						<xsl:attribute name="target">_self</xsl:attribute>
							<xsl:value-of select="subdisplayWord" />
					</xsl:element>]
			  </xsl:for-each>
			</div>  
		</xsl:if>				
		<xsl:for-each select="yodaodict/example-sentences/sentence-pair"> 
       	<div class="sent1">
					<xsl:if test="count(../sentence-pair) &gt; 1" >
						<xsl:number value="position()" format="1. " />
					</xsl:if>
						<xsl:value-of select="sentence" disable-output-escaping="yes"/>
				</div>
				<div class="sent2">
				  <xsl:value-of select="sentence-translation" disable-output-escaping="yes"/>
				</div>
				<div class="from">
					<xsl:element name="a">
						<xsl:attribute name="href"><xsl:value-of select="url"/></xsl:attribute>
						<xsl:attribute name="target">_blank</xsl:attribute>
						<xsl:attribute name="title">来源</xsl:attribute>
						<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", '<xsl:number value="position()"/>', 1, 1, 'CLICK', 'sentence_deskdict')</xsl:attribute>
						<xsl:value-of select="substring-before(substring-after(url, 'http://'), '/')"/>
					</xsl:element>
				</div>           
			</xsl:for-each>
		
			<xsl:if test="yodaodict/example-sentences/sentence-count" >
				<div class="more">
					<xsl:element name="a">
	   				<xsl:attribute name="href">app:lj:<xsl:value-of select="yodaodict/input" /></xsl:attribute>
	   	 			<xsl:attribute name="class">bluebigtt</xsl:attribute>
	   				<xsl:attribute name="target">_self</xsl:attribute>
	   				<xsl:attribute name="title">点击获取更多例句</xsl:attribute>
						更多例句
					</xsl:element>
				</div>
			</xsl:if>		
		</div>
	</xsl:if>
	<!-- 例句结束 -->
	
	<!-- 百科开始 -->

  <xsl:if test="yodaodict/baike">
  		<div id="yodao_anchor_wiki"/>
		<xsl:call-template name="baike_tab"/>
		<div id="baike">
		<xsl:for-each select="yodaodict/baike/item">
			<xsl:call-template name="baike_item">
				<xsl:with-param name="key" select="key"/>
				<xsl:with-param name="summary" select="summary"/>
				<xsl:with-param name="image" select="image"/>
				<xsl:with-param name="show_more">true</xsl:with-param>
			</xsl:call-template>	
		</xsl:for-each>
		</div>
	</xsl:if>
	<!-- 百科结束 -->

	<!-- 本地词典结果开始,有结果才显示这个模块 -->	
	<xsl:if test="yodaodict/local-dicts/dict/word[text() != '']">
	  <!-- show tab -->
		<div id="yodao_anchor_custom"/>
		
		<xsl:for-each select="yodaodict/local-dicts/dict">
		  <!-- disable none result display-->
		  <xsl:if test="word[text()!='']">			
				<!-- return word and phonetic-symbol -->
				<!--循环显示每部字典的内容-->
				<xsl:element name="div">
					<xsl:attribute name="id">yodao_anchor_custom<xsl:number value="position()"/></xsl:attribute>
					<xsl:attribute name="style">display:block</xsl:attribute>
				</xsl:element>					
				<div id="tabbar">
					<div class="barimg">
						<img src="images/titlesymbol.gif" />
					</div>
					<div class="left">
						<xsl:value-of select="name" disable-output-escaping="yes"/>
					</div>
				</div>
				<div id="localdict">
					<xsl:call-template name="keyword_line">
						<xsl:with-param name="keyword" select="word" />
						<xsl:with-param name="phone" select="PhoneticSymbol"/>
						<xsl:with-param name="speech" select="nullpoint"/>
					</xsl:call-template>
					<!-- display the awful explain :( -->
					<xsl:for-each select="explains/explain">
						<xsl:if test="attr">
					   <div class="attr"><xsl:value-of select="attr" />
					   </div>
					   </xsl:if>
					   <xsl:for-each select="sub_explain">
					    <xsl:if test="meaning[text()!='']">
							<!--xsl:value-of select="position()"/-->
						   <div class="meaning">
						   	 <div><xsl:value-of select="meaning" /></div>
							 <!--xsl:for-each select="sentences/pair">
								<div class="sentence1"><xsl:value-of select="position()" />.<xsl:value-of select="first" /></div>
								<div class="sentence2"><xsl:value-of select="second" /></div>
							 </xsl:for-each-->
						   </div>
						 </xsl:if>
						</xsl:for-each>
					</xsl:for-each>
					<!-- display trans form of the word-->
					<xsl:if test="transforms">
					  <xsl:for-each select="transforms/transform">
	  						<xsl:value-of select="position()" /> 
							<div class="transform"><span>
								 <xsl:value-of select="type" disable-output-escaping="yes" />:
								 <xsl:value-of select="word" disable-output-escaping="yes" />;	
								</span>
							</div>
						</xsl:for-each>			
					</xsl:if>
					<!--display raw date,maybe should be hid -->
					<div class="raw"><xsl:value-of select="raw" disable-output-escaping="yes"/></div>

					</div>
				</xsl:if>
			</xsl:for-each>		
	</xsl:if>
	<!-- 本地词典结果结束 -->

	<!-- 结果底部版权声明开始 -->
	<xsl:if test="yodaodict/basic/simple-dict or yodaodict/baike">
		<!-- 显示一条黑色的横线 -->
		<hr class="bottomsource"/>
	</xsl:if>
	<!-- 简明翻译来源的声明 -->
	<xsl:if test="yodaodict/basic/simple-dict">
		<div id="btsource">
			<IMG SRC="images/graypoint.gif" WIDTH="9" HEIGHT="9" BORDER="0" ALT="" align="bottom"/><xsl:text> </xsl:text>简明翻译结果来源于:
			<xsl:element name="a">
				<xsl:attribute name="href"><xsl:value-of select="yodaodict/basic/simple-dict/source/url"/></xsl:attribute>
				<xsl:attribute name="class">bottomsource</xsl:attribute>
				<xsl:attribute name="target">_blank</xsl:attribute>
				<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", 1, 1, 1, 'CLICK', 'simple_result')</xsl:attribute>
				<xsl:value-of select="yodaodict/basic/simple-dict/source/name"/>
			</xsl:element>
		</div>
	</xsl:if>
	<!-- 百科结果来源的声明 -->
	<xsl:if test="yodaodict/baike">
		<div id="btsource">
			<IMG SRC="images/graypoint.gif" WIDTH="9" HEIGHT="9" BORDER="0" ALT="" align="bottom"/><xsl:text> </xsl:text>百科内容来源于: 
			<xsl:element name="a">
				<xsl:attribute name="href"><xsl:value-of select="yodaodict/baike/source/url"/></xsl:attribute>
				<xsl:attribute name="class">bottomsource</xsl:attribute>
				<xsl:attribute name="target">_blank</xsl:attribute>
				<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", 1, 1, 1, 'CLICK', 'hoodong_deskdict')</xsl:attribute>
				<xsl:value-of select="yodaodict/baike/source/name"/>
			</xsl:element>
		</div>
	</xsl:if>
	<!-- 结果底部版权声明结束 -->

	<!-- 处理本地结果的情况 -->
	<xsl:if test="yodaodict/local-dicts/dict/name = '基本翻译'">
		<div class="brokennet">
		 目前无法连接服务器，请检查您的网络连接或者查看<a href="../res/faq.html" target="_blank">FAQ页面</a>。
		</div>
	</xsl:if>
	
	<!-- 没有结果的情况  -->
	<xsl:if test="not(yodaodict/basic)">
		<xsl:if test="not(yodaodict/yodao-web-dict/web-translation)">
			<xsl:if test="not(yodaodict/example-sentences/sentence-pair)">
				<xsl:if test="not(yodaodict/baike)">
					<xsl:if test="not(yodaodict/BAIKE-SEARCH)">
						<xsl:if test="not(yodaodict/BAIKE-DETAILS)">
						 <xsl:if test="not(yodaodict/local-dicts/dict/word[text() != ''])">

		<div id="error">
		  <br />
			抱歉，没有找到与您查询的"<b>
			  <xsl:call-template   name="SubStringFun">   
			  	<xsl:with-param   name="input"   select="/yodaodict/input"   />   
				<xsl:with-param   name="from"   select="'bk:'" />   
			    <xsl:with-param   name="to"   select="''"  />
			  </xsl:call-template>
			</b>"相关的结果。
			<br /><br />
			请使用<xsl:element name="a">
					<xsl:attribute name="href">app:trans:<xsl:value-of select="yodaodict/input" /></xsl:attribute>
					<xsl:attribute name="target">_self</xsl:attribute>有道翻译</xsl:element>进行查询，
			<br /><br />
			或者：
			<br />
			<li>请查看输入的字词是否有错误</li>
			<li>请在网页搜索中搜索"<xsl:element name="a">
					<xsl:attribute name="href">http://www.youdao.com/search?
						keyfrom=<xsl:value-of select="yodaodict/keyfrom" />&amp;
						q=<xsl:value-of select="yodaodict/input" />
					</xsl:attribute>
					<xsl:attribute name="target">_blank</xsl:attribute>
					  <xsl:call-template   name="SubStringFun">   
						<xsl:with-param   name="input"   select="/yodaodict/input"   />   
						<xsl:with-param   name="from"   select="'bk:'" />   
						<xsl:with-param   name="to"   select="''"  />
					  </xsl:call-template>
				</xsl:element>"
			</li>
			<li>请阅读<a href="http://dict.youdao.com/desktop/help2.html" target="_blank">帮助</a></li>			
		</div>	
		          </xsl:if>
						</xsl:if>
					</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:if>
 <OBJECT ID="flspins" WIDTH="0" HEIGHT="0" CLASSID="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" ></OBJECT>
</body>
</html>
</xsl:template>                  
</xsl:stylesheet>