﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:include href="commonfile.xsl"/>
<xsl:template match="/">

<html>
<head>
<title>wiki</title>

<!--link href="css/default.css" rel="stylesheet" type="text/css"/-->
<link href="css/new.css" rel="stylesheet" type="text/css"/>
<script language="javascript" src="js/default.js"></script>
</head>

<body>
	<!-- 百科开始 -->

  <xsl:if test="yodaodict/baike">
  		<div id="yodao_anchor_wiki"/>
		<xsl:call-template name="baike_tab"/>
		<div id="baike">
		<xsl:for-each select="yodaodict/baike/item">
			<xsl:call-template name="baike_item">
				<xsl:with-param name="key" select="key"/>
				<xsl:with-param name="summary" select="summary"/>
				<xsl:with-param name="image" select="image"/>
				<xsl:with-param name="show_more">true</xsl:with-param>
			</xsl:call-template>	
		</xsl:for-each>
		<div class="from">
				百科内容来源于: 
				<xsl:element name="a">
					<xsl:attribute name="href"><xsl:value-of select="yodaodict/baike/source/url"/></xsl:attribute>
					<xsl:attribute name="class">graylaiyuan</xsl:attribute>
					<xsl:attribute name="target">_blank</xsl:attribute>
					<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", 1, 1, 1, 'CLICK', 'hoodong_deskdict')</xsl:attribute>
					<xsl:value-of select="yodaodict/baike/source/name"/>
				</xsl:element>
		</div>
		</div>
	</xsl:if>
	
	<!-- 输出百科详细内容-->
	<xsl:if test="yodaodict/BAIKE-DETAILS">
	<!--xsl:call-template name="baike_tab"/-->
	<!-- 先输出title -->
	<div id="baike">
	 	<div style="width:100%">
    <div class="title"><xsl:value-of select="yodaodict/BAIKE-DETAILS/title"/></div>
	  <div style="float:right;rgb(85,85,85)">
		 	<FONT size="-1">百科内容来自于:</FONT>
  		<xsl:element name="a">
				<xsl:attribute name="href"><xsl:value-of select="yodaodict/BAIKE-DETAILS/source/url"/></xsl:attribute>
				<xsl:attribute name="target">_blank</xsl:attribute>
				<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:value-of select="yodaodict/BAIKE-DETAILS/title"/>", 1, 1, 1, 'CLICK', 'hoodong_detail_logo_deskdict')</xsl:attribute>
				<xsl:element name="img">
					<xsl:attribute name="src"><xsl:value-of select="yodaodict/BAIKE-DETAILS/source/logo" /></xsl:attribute>
					<xsl:attribute name="border">0</xsl:attribute>
					<xsl:attribute name="width">56</xsl:attribute>
					<xsl:attribute name="align">absMiddle</xsl:attribute>
					<xsl:attribute name="alt"><xsl:value-of select="yodaodict/BAIKE-DETAILS/source/name" /></xsl:attribute>
				</xsl:element>
			</xsl:element>
		</div>
		</div>
		<xsl:if test="yodaodict/BAIKE-DETAILS/headSection">
			<div class="head">
				<xsl:value-of select="yodaodict/BAIKE-DETAILS/headSection" disable-output-escaping="yes"/>
			</div>
		</xsl:if>	
	</div>
	<xsl:for-each select="yodaodict/BAIKE-DETAILS/sections/section">
	  <div id="tabbar">
	    <xsl:number value="position()" format="1. " />
	    <xsl:value-of select="subtitle"  disable-output-escaping="yes"/>
		</div>			
			<!-- 输出详细内容 -->
		<div id="bkcontent">
			<xsl:value-of select="content" disable-output-escaping="yes"/>
		</div>		  
	</xsl:for-each>	
	</xsl:if>

	<!-- 输出更多相关词条(baike tab查询时)-->
	<xsl:if test="yodaodict/BAIKE-SEARCH">
	<!--xsl:call-template name="baike_tab"/-->
	<div id="baiketab">
		百科内容来源于: 
		<xsl:element name="a">
			<xsl:attribute name="href"><xsl:value-of select="yodaodict/BAIKE-SEARCH/source/url"/></xsl:attribute>
			<xsl:attribute name="target">_blank</xsl:attribute>
			<xsl:attribute name="title">互动百科</xsl:attribute>
			<xsl:attribute name="onclick">javascript:ctlog(this, "<xsl:call-template name="standard_return_phrase" />", 1, 1, 1, 'CLICK', 'hoodong_search_deskdict')</xsl:attribute>
			<xsl:value-of select="yodaodict/BAIKE-SEARCH/source/name"/>
		</xsl:element>		
		<xsl:for-each select="yodaodict/BAIKE-SEARCH/items/item">
			<xsl:call-template name="baike_item">
				<xsl:with-param name="key" select="title"/>
				<xsl:with-param name="summary" select="summary"/>
				<xsl:with-param name="image" select="image"/>
				<xsl:with-param name="show_more">false</xsl:with-param>
			</xsl:call-template>
		</xsl:for-each>	
	</div>
	</xsl:if>

	<!-- 百科结束 -->

	<!-- 没有结果的情况  -->
	<xsl:if test="not(yodaodict/baike)">
		<xsl:if test="not(yodaodict/BAIKE-SEARCH)">
			<xsl:if test="not(yodaodict/BAIKE-DETAILS)">

		<!--typo start-->
		<xsl:if test="yodaodict/typos">
		<div id="error">			
			您要找的是不是:
			<xsl:for-each select="yodaodict/typos/typo">
				<xsl:element name="a">
   				<xsl:attribute name="href">app:ds:<xsl:value-of select="." /></xsl:attribute>
   				<xsl:attribute name="target">_self</xsl:attribute>
					<xsl:value-of select="." />
   			</xsl:element>
			<font class="dot"> . </font>
	   		</xsl:for-each>
		</div>
		</xsl:if>
		<!--typo end-->

		<div id="error">
		  <br />
			抱歉，没有找到与您查询的"<b>
			  <xsl:call-template   name="SubStringFun">   
			  	<xsl:with-param   name="input"   select="/yodaodict/input"   />   
				<xsl:with-param   name="from"   select="'bk:'" />   
			    <xsl:with-param   name="to"   select="''"  />
			  </xsl:call-template>
			</b>"相关的百科结果。
			<br /><br />
			<br />
			<li>请查看输入的字词是否有错误</li>
			<li>请在网页搜索中搜索"<xsl:element name="a">
					<xsl:attribute name="href">http://www.youdao.com/search?
						keyfrom=<xsl:value-of select="yodaodict/keyfrom" />&amp;
						q=<xsl:call-template   name="SubStringFun">   
						<xsl:with-param   name="input"   select="/yodaodict/input"   />   
						<xsl:with-param   name="from"   select="'bk:'" />   
						<xsl:with-param   name="to"   select="''"  />
					  </xsl:call-template>
					</xsl:attribute>
					<xsl:attribute name="target">_blank</xsl:attribute>
					  <xsl:call-template   name="SubStringFun">   
						<xsl:with-param   name="input"   select="/yodaodict/input"   />   
						<xsl:with-param   name="from"   select="'bk:'" />   
						<xsl:with-param   name="to"   select="''"  />
					  </xsl:call-template>
				</xsl:element>"
			</li>
			<li>请阅读<a href="http://dict.youdao.com/desktop/help2.html" target="_blank">帮助</a></li>			
		</div>	
          </xsl:if>
		</xsl:if>
	</xsl:if>
</body>
</html>
</xsl:template>                  
</xsl:stylesheet>